#{extends 'borderNG.html' /}


<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'lelang.home'}</a></li>
	<li class="active">&{'lelang.reverse_auction'}</li>
</ul>

<ul class="nav nav-tabs">
  <li role="presentation" class="active"><a href="#pengaturan" data-toggle="tab">&{'lelang.pengaturan'}</a></li>
  <li role="presentation"><a href="#monitoring" data-toggle="tab">&{'lelang.monitoring'}</a></li>
  <li role="presentation"><a href="#hasil-auction" data-toggle="tab">&{'lelang.hasil_penawaran_akhir'}</a></li>
</ul>

<div class="tab-content" style="background:#ffffff; padding:25px;">
	<div class="tab-pane active in" id="pengaturan">
		<div class="row">
			<div class="container-fluid">
				<form id="pengaturan-auction">
					<table class="table table-sm table-bordered" style="width:100%;">
						<tr>
							<td class="bg-warning" width="200">&{'lelang.kode_tender'}</td>
							<td>3364999</td>
						</tr>
						<tr>
							<td class="bg-warning" width="200">&{'lelang.nama_tender'}</td>
							<td>&{'lelang.pengadaan_peralatan'}</td>
						</tr>
						<tr>
							<td class="bg-warning" width="200">&{'lelang.metode_pemilihan'}</td>
							<td>&{'lelang.e_tender_cepat'}t</td>
						</tr>
						<tr>
							<td class="bg-warning">&{'lelang.waktu_mulai'}</td>
							<td><input name="" type="text"  value="" initial="" class="form-control input-sm datepicker" style="width:200px;"/></td>
						</tr>
						<tr>
							<td class="bg-warning">&{'lelang.waktu_selesai'}</td>
							<td><input name="" type="text"  value="" initial="" class="form-control input-sm datepicker" style="width:200px;"/></td>
						</tr>
						<tr>
							<td class="bg-warning">&{'lelang.nilai_min'} (Rp)</td>
							<td><input name="" type="text"  value="" initial="" class="form-control input-sm" style="width:200px;"/></td>
						</tr>
						<tr>
							<td class="bg-warning">&{'lelang.nilai_interval'} (Rp)</td>
							<td><input name="" type="text"  value="" initial="" class="form-control input-sm" style="width:200px;"/></td>
						</tr>
						<tr>
							<td class="bg-warning">&{'lelang.undang_peserta'}</td>
							<td>
								<div class="form-check-inline">
									<label><input type="checkbox"> PT. ABC</label>
								</div>
								<div class="form-check-inline">
									<label><input type="checkbox"> PT. Rajawali</label>
								</div>
								<div class="form-check-inline">
									<label><input type="checkbox"> PT. Global</label>
								</div>
								<div class="form-check-inline">
									<label><input type="checkbox"> PT. Indofarma</label>
								</div>
								<div class="form-check-inline">
									<label><input type="checkbox"> PT. Multimedia</label>
								</div>
								<div class="form-check-inline">
									<label><input type="checkbox"> PT. Nusantara</label>
								</div>
							</td>
						</tr>
					</table>
					<a href="#" class="btn btn-success">&{'lelang.simpan'}</a>
					<a href="#" class="btn btn-primary">&{'lelang.btn_kembali'}</a>
				</form>
			</div>
		</div>
	</div>
	<div class="tab-pane fade" id="monitoring">
		<div class="row">
			<div class="container-fluid">
				<label>&{'lelang.batas_waktu_penawaran'}</label>
				<p>&{'lelang.senin'}, 07 November 2016 13:59:00</p>
				<label>&{'lelang.waktu_tersisa'}</label>
				<h1 style="color: #ff0000; margin-top: 0px;">00:25:30</h1>
				<img class="img-fluid" src="#{assets '/images/diagram.png'/}"/>
			</div>
		</div>
	</div>
	<div class="tab-pane fade" id="hasil-auction">
		<div class="row">
			<div class="container-fluid">
				<table class="table table-sm table-bordered">
					<thead>
						<th width="20">No.</th>
						<th>&{'lelang.nama_perusahaan'}</th>
						<th>&{'lelang.nilai_penawaran_akhir'}</th>
						<th>&{'lelang.keterangan'}</th>
					</thead>
					<tbody>
						<tr>
							<td>1</td>
							<td>PT. ABC</td>
							<td>800.000.000</td>
							<td></td>
						</tr>
						<tr>
							<td>2</td>
							<td>PT. Rajawali</td>
							<td>750.000.000</td>
							<td></td>
						</tr>
						<tr>
							<td>3</td>
							<td>PT. Global</td>
							<td>700.000.000</td>
							<td></td>
						</tr>
						<tr>
							<td>4</td>
							<td>PT. Indofarma</td>
							<td>550.000.000</td>
							<td></td>
						</tr>
						<tr>
							<td>5</td>
							<td>PT. Multimedia</td>
							<td>520.000.000</td>
							<td></td>
						</tr>
						<tr>
							<td>6</td>
							<td>PT. Nusantara</td>
							<td>480.000.000</td>
							<td><a href="#" class="btn btn-success btn-sm">&{'lelang.terendah'}</a></td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript">
	$(".form-control.datepicker").focus(function(ev){
		//jika masih kosong maka isikan jam default 00:00 atau 23:59
		var dateName=$(this).attr("name");
		var isAwal=(dateName.indexOf("awal"))>=0;
		var dateValue=$(this).val();
		var initialValue=$(this).attr("initial");
		if(isAwal)
			postfix="00:00";
		else
			postfix="23:59";
		
		if(initialValue=="")			
		{
			//pastikan bahwa jika Jam sudah pernah diisi maka tidak di-reset lagi menjadi 00:00 atau 23:59
			ary=dateValue.split(" ");
			initialValue=ary[0] + " " + postfix;
			$(this).data("DateTimePicker").date(initialValue);
			$(this).attr("initial", initialValue);
		}
		//console.log(dateName + ":" + initialValue);
	})
	
	$("#formCopy").submit(function(){
		if(!confirm("&{'flash.warning_copy_jadwal'}"))
			return false;
	});
	
	$("select[name='lelangCopyId']").change(function(){
		var id = $(this).val();
		var urls = #{jsRoute @lelang.JadwalCtr.jadwalLelang(':id') /};		
	    BootstrapDialog.show({
	    	 size: BootstrapDialog.SIZE_LARGE,
	    	 draggable: true,
	    	 title : 'Tahap Tender Saat Ini',
	    	 message: $('<div></div>').load(urls.url({id:id})),
	    	 buttons: [{label: 'Ok', action: function(dialog) {
	    		 dialog.close();
	         }}]
	    });
		
		var value=$(this).val();
		if(value.length===0)
			$("[name='copy']").attr("disabled","disabled");
		else
			$("[name='copy']").removeAttr("disabled");
	});
</script>
#{/set}